Bug 521693 (CVE-2009-3077) - CVE-2009-3077 Firefox 3.5.3 3.0.14 TreeColumns dangling pointer vulnerability
Summary: CVE-2009-3077 Firefox 3.5.3 3.0.14 TreeColumns dangling pointer vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3077
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=critical,source=mozilla,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 18:06 UTC by Josh Bressers
Modified: 2019-06-08 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-08 20:14:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1430 normal SHIPPED_LIVE Critical: firefox security update 2009-09-09 23:27:34 UTC
Red Hat Product Errata RHSA-2009:1431 normal SHIPPED_LIVE Critical: seamonkey security update 2009-09-09 23:49:52 UTC
Red Hat Product Errata RHSA-2009:1432 normal SHIPPED_LIVE Critical: seamonkey security update 2009-09-09 23:50:33 UTC
Red Hat Product Errata RHSA-2010:0153 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 12:38:49 UTC
Red Hat Product Errata RHSA-2010:0154 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 13:22:56 UTC

Description Josh Bressers 2009-09-07 18:06:46 UTC
An anonymous security researcher, via TippingPoint's Zero Day Initiative,
reported that the columns of a XUL tree element could be manipulated in a
particular way which would leave a pointer owned by the column pointing to
freed memory. An attacker could potentially use this vulnerability to crash
a victim's browser and run arbitrary code on the victim's computer.

Comment 1 errata-xmlrpc 2009-09-09 23:27:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1430 https://rhn.redhat.com/errata/RHSA-2009-1430.html

Comment 2 errata-xmlrpc 2009-09-09 23:49:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1431 https://rhn.redhat.com/errata/RHSA-2009-1431.html

Comment 3 errata-xmlrpc 2009-09-09 23:50:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1432 https://rhn.redhat.com/errata/RHSA-2009-1432.html

Comment 4 Fedora Update System 2009-09-11 23:26:50 UTC
epiphany-extensions-2.24.3-5.fc10, epiphany-2.24.3-10.fc10, Miro-2.0.5-4.fc10, ruby-gnome2-0.19.1-2.fc10, blam-1.8.5-14.fc10, evolution-rss-0.1.4-3.fc10, gecko-sharp2-0.13-12.fc10, gnome-web-photo-0.3-22.fc10, gnome-python2-extras-2.19.1-34.fc10, kazehakase-0.5.6-4.fc10.6, mozvoikko-0.9.5-14.fc10, google-gadgets-0.10.5-10.fc10, pcmanx-gtk2-0.3.8-13.fc10, mugshot-1.2.2-13.fc10, yelp-2.24.0-13.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.5, firefox-3.0.14-1.fc10, xulrunner-1.9.0.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-09-11 23:32:11 UTC
eclipse-3.4.2-15.fc11, epiphany-extensions-2.26.1-6.fc11, monodevelop-2.0-5.fc11, seahorse-plugins-2.26.2-5.fc11, epiphany-2.26.3-4.fc11, blam-1.8.5-14.fc11, chmsee-1.0.1-11.fc11, pcmanx-gtk2-0.3.8-8.fc11, gnome-web-photo-0.7-6.fc11, galeon-2.0.7-14.fc11, evolution-rss-0.1.4-3.fc11, gnome-python2-extras-2.25.3-7.fc11, hulahop-0.4.9-8.fc11, mozvoikko-0.9.7-0.7.rc1.fc11, google-gadgets-0.11.0-5.fc11, kazehakase-0.5.7-2.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.5, Miro-2.5.2-4.fc11, yelp-2.26.0-7.fc11, ruby-gnome2-0.19.1-2.fc11, firefox-3.5.3-1.fc11, xulrunner-1.9.1.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2010-03-17 12:38:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0153 https://rhn.redhat.com/errata/RHSA-2010-0153.html

Comment 7 errata-xmlrpc 2010-03-17 13:25:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0154 https://rhn.redhat.com/errata/RHSA-2010-0154.html


Note You need to log in before you can comment on or make changes to this bug.